#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libb2
Version		:	0.98.1
Release		:	17.0.10.rel%{?dist}
Summary		:	C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	CC0-1.0 OR Apache-1.0 OR Apache-2.0
URL		:	https://github.com/BLAKE2/libb2/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp.
 
BLAKE2 is a cryptographic hash function
faster than MD5, SHA-1, SHA-2, and SHA-3,
yet is at least as secure as the latest
standard SHA-3.
 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license COPYING
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.1.*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/blake2.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-silent-rules				\
	--enable-static=no				\
	--enable-native=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
